#ifndef __KVIEWPART_IFACE_H
#define __KVIEWPART_IFACE_H

#include <qstringlist.h>
#include <kparts/part.h>

/**
 * This class adds just the fileFormats() method to the ReadOnlyPart.
 */
class KViewPart_Iface : public KParts::ReadOnlyPart
{
  Q_OBJECT
public:
  KViewPart_Iface(QObject *parent, const char *name)
    : KParts::ReadOnlyPart(parent, name) {}

  virtual ~KViewPart_Iface() {}

public slots:
  virtual QStringList fileFormats() = 0;
};

#endif
